#include <exec/types.h>
#include <exec/memory.h>
#include "chem_defs.h"
#include "messages.h"

#define WAITPOINTER_DATA 56L

static UBYTE *SanduhrBuffer=NULL;

extern long conwin;
extern USHORT SanduhrSpriteData[];
extern struct FRPointer Sanduhr;

extern long TypeOfMem();
extern void *AllocMem(),FreeMem();

void PrepareSanduhr()
{
  if(TypeOfMem(SanduhrSpriteData) & MEMF_FAST)
  {
    SanduhrBuffer=(UBYTE *)AllocMem(WAITPOINTER_DATA,MEMF_CHIP);
    if(SanduhrBuffer==NULL)
    {
      WrConWin(conwin,NO_WAITPOINTER_MEM);
      return;
    }
    movmem(SanduhrSpriteData,SanduhrBuffer,WAITPOINTER_DATA);
    Sanduhr.Pointer=(UWORD *)SanduhrBuffer;
  }
}

void FreeSanduhr()
{
  if(SanduhrBuffer)
  {
    FreeMem(SanduhrBuffer,WAITPOINTER_DATA);
  }
}

